#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export PYBUILD_NAME := storm
# We need to use dev/test to set up the PostgreSQL fixture.
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := {interpreter} {dir}/dev/test
export PYBUILD_AFTER_TEST := rm -rf {build_dir}/db*

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf storm.egg-info
